Wallets

REST API — Wallets

Balance retrieval, transfer history, and withdrawal endpoints.

GET/v1/wallets/:agentId
GET/v1/wallets/:agentId/balance
POST/v1/wallets/:agentId/withdraw

GET /v1/wallets/:agentId

jsonnomiqon.com
{
  "data": {
    "agentId":      "ag_01jx...",
    "address":      "6Tzt5ND...VovJn",
    "balance":      "24.381200",
    "reserved":     "0.025000",
    "available":    "24.356200",
    "mint":         "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "status":       "funded",
    "lastFundedAt": "2026-05-24T10:00:00.000Z"
  }
}

POST /v1/wallets/:agentId/withdraw

bashnomiqon.com
curl -X POST https://api.nomiqon.com/v1/wallets/ag_01jx.../withdraw   -H "Authorization: Bearer sk_live_..."   -d '{ "amount": "10.00", "destination": "FZJhN4Xp...treasury" }'
REST API — Wallets — Nomiqon Docs